Loading...
Searching...
No Matches
unity::shell::scopes::FilterBaseInterface Class Referenceabstract
Inheritance diagram for unity::shell::scopes::FilterBaseInterface:
[legend]
Collaboration diagram for unity::shell::scopes::FilterBaseInterface:
[legend]

## Signals

void | titleChanged ()

## Public Member Functions

virtual QString | filterId () const =0
virtual QString | title () const =0
virtual FiltersInterface::FilterType | filterType () const =0
virtual QString | filterTag () const =0

## Properties

QString | filterId
QString | title
unity::shell::scopes::FiltersInterface::FilterType | filterType

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/FilterBaseInterface.h